custom CRS: stripped chars in projection_acronym

2011-08-12 01:31 PM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14145

Description

When defining a custom projection, numbers are stripped from the +proj projection name for the projection_acronym.  Then the projection

doesn't show up as a CRS choice elsewhere in QGIS (it is only in the Custom CRS definition window).  ie: +proj=eck4,

projection_acronym=eck.  If I edit the sqlite table and correct the projection_acronym, the custom projection shows up as a custom CRS

choice.

History

#1 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#2 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#4 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#5 - 2012-08-12 11:29 AM - Magnus Homann

- Status changed from Open to Closed

I can't reproduce this in master.
